Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.event.authorization
Class AuthorizedEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.acegisecurity.event.authorization.AbstractAuthorizationEvent
                  org.acegisecurity.event.authorization.AuthorizedEvent

All Implemented Interfaces:
  Serializable

    public class AuthorizedEvent

extends AbstractAuthorizationEvent

Event indicating a secure object was invoked successfully.

Published just before the secure object attempts to proceed.

Version:
  $Id: AuthorizedEvent.java,v 1.2 2005/11/17 00:56:09 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AuthorizedEvent(Object secureObject, ConfigAttributeDefinition configAttribs, Authentication authentication)` Construct the event.

Method Summary
`Authentication` | `getAuthentication()`
`ConfigAttributeDefinition` | `getConfigAttributeDefinition()`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizedEvent

    public AuthorizedEvent(Object secureObject,
                           ConfigAttributeDefinition configAttribs,
                           Authentication authentication)

  Construct the event.

  Parameters:
    `secureObject` - the secure object
    `configAttribs` - that apply to the secure object
    `authentication` - that successfully called the secure object
  Throws:
    `IllegalArgumentException` - DOCUMENT ME!

Method Detail

### getAuthentication

    public Authentication getAuthentication()

### getConfigAttributeDefinition

    public ConfigAttributeDefinition getConfigAttributeDefinition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.